summaryrefslogtreecommitdiffstats
path: root/debian/_base/applications/kstreamripper/debian/kstreamripper-trinity.postrm
diff options
context:
space:
mode:
authorMichele Calgaro <michele.calgaro@yahoo.it>2019-04-03 22:56:40 +0900
committerMichele Calgaro <michele.calgaro@yahoo.it>2019-04-03 22:56:40 +0900
commit11394aecd1f906fee2ebd2b90412aeba4651fbff (patch)
treebcf750380e6d9fc7dbe524e16bbe2afde25dcfa0 /debian/_base/applications/kstreamripper/debian/kstreamripper-trinity.postrm
parentd24bd898174453b586ac90f2ef7a60165fa26fde (diff)
downloadtde-packaging-11394aecd1f906fee2ebd2b90412aeba4651fbff.tar.gz
tde-packaging-11394aecd1f906fee2ebd2b90412aeba4651fbff.zip
DEB: use _base folder for a distro instead of specific distros (squeeze
and maverick). Signed-off-by: Michele Calgaro <michele.calgaro@yahoo.it>
Diffstat (limited to 'debian/_base/applications/kstreamripper/debian/kstreamripper-trinity.postrm')
-rw-r--r--debian/_base/applications/kstreamripper/debian/kstreamripper-trinity.postrm19
1 files changed, 19 insertions, 0 deletions
diff --git a/debian/_base/applications/kstreamripper/debian/kstreamripper-trinity.postrm b/debian/_base/applications/kstreamripper/debian/kstreamripper-trinity.postrm
new file mode 100644
index 000000000..5209bcb38
--- /dev/null
+++ b/debian/_base/applications/kstreamripper/debian/kstreamripper-trinity.postrm
@@ -0,0 +1,19 @@
+#! /bin/sh
+set -e
+
+case "$1" in
+ purge|remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+ if [ -x "`which update-desktop-database 2>/dev/null`" ]; then
+ update-desktop-database -q
+ fi
+ ;;
+
+ *)
+ echo "postrm called with unknown argument \`$1'" >&2
+ exit 1
+
+esac
+
+#DEBHELPER#
+
+exit 0